"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Mock Citizen
 *      A mock class for testing the GA
 */
var MockCitizen = /** @class */ (function () {
    function MockCitizen(fitness) {
        if (fitness === void 0) { fitness = Math.random() * 100000; }
        this.fitness = fitness;
    }
    MockCitizen.prototype.mateWith = function (other) {
        return new MockCitizen((this.fitness + other.fitness) / 2);
    };
    MockCitizen.prototype.mutate = function (mutationRate) {
        if (Math.random() < mutationRate) {
            this.fitness += Math.random() * 0.1;
        }
    };
    return MockCitizen;
}());
exports.MockCitizen = MockCitizen;
