import { GACitizen } from './GACitizen';
export declare class GA {
    private calcFitness;
    constructor(calcFitness: (citizen: GACitizen) => number);
    generation: number;
    mutationRate: number;
    survivalRate: number;
    private _population;
    population: Array<GACitizen>;
    readonly fitness: number;
    readonly fittest: GACitizen;
    reset(): void;
    sort(): void;
    evolve(): void;
    private breed(a, b);
    private mutate(a);
}
